TTF_CreateRendererTextEngineWithProperties(3)

NAME
TTF_CreateRendererTextEngineWithProperties - Create a text engine for drawing text on an SDL renderer, with the specified properties.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_TextEngine * TTF_CreateRendererTextEngineWithProperties(SDL_PropertiesID props);

#define TTF_PROP_RENDERER_TEXT_ENGINE_RENDERER                 SDL_ttf.renderer_text_engine.create.renderer"
#define TTF_PROP_RENDERER_TEXT_ENGINE_ATLAS_TEXTURE_SIZE       SDL_ttf.renderer_text_engine.create.atlas_texture_size"

DESCRIPTION
These are the supported properties:

• TTF_PROP_RENDERER_TEXT_ENGINE_RENDERER :
  the renderer to use for creating textures and drawing text

• TTF_PROP_RENDERER_TEXT_ENGINE_ATLAS_TEXTURE_SIZE :
  the size of the texture atlas

FUNCTION PARAMETERS

props
    the properties to use.

RETURN VALUE
( TTF_TextEngine
 *) Returns a

TTF_TextEngine
 object or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the renderer.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CreateRendererTextEngine(3), •(3), TTF_DestroyRendererTextEngine(3), •(3), TTF_DrawRendererText(3)